#include <iostream>

#include "tb.hpp"

int
sc_main (int argc, char *argv[]) {

  if ((argc > 1) && strcmp (argv[1], "-esl_untimed") == 0) {
    esl_set_attribute (ESL_UNTIMED);
    cout << "Running in UNTIMED mode" << endl;
  }

  // You can uncomment these for more (or less) information:
  //  esl_set_attribute (ESL_SHOW_SCHEDULE);
  esl_set_attribute (ESL_SUPPRESS_WARNINGS);

  // Instantiate the model
  ESL_EMPTY  *tb = new mkTb ("Tb");

  // Simulate it
  sc_start();
  return 0;
}
